# QUndoStack Class Reference

### [com.trolltech.qt.gui package]

Inherits QObject.

### Constructor

- void QUndoStack(QObject parent)

### Constructor Properties

- prototype: The QUndoStack prototype object

### Prototype Object Properties

The QUndoStack prototype object inherits properties from the QObject prototype object and also has the following properties.

- void beginMacro(String text)
- bool canRedo()
- bool canUndo()
- int cleanIndex()
- void clear()
- QUndoCommand command(int index)
- int count()
- QAction createRedoAction(QObject parent, String prefix)
- QAction createUndoAction(QObject parent, String prefix)
- void endMacro()
- int index()
- bool isClean()
- void push(QUndoCommand cmd)
- String redoText()
- String text(int idx)
- String undoText()

### Instance Properties

QUndoStack objects inherit properties from the QUndoStack prototype object and also have the following properties.

- active
- undoLimit